### Class

# FwupdPlugin SecurityAttr

#### Description

    class FwupdPlugin.SecurityAttr : Fwupd.SecurityAttr
      implements Fwupd.Codec {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- FwupdSecurityAttr
- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fu_security_attr_new

Creates a new `FwupdSecurityAttr` with context set.

since: 1.8.4

#### Functions

###### fu_security_attr_add_bios_target_value

Checks all configured possible values of an enumeration attribute and if any match `needle` then set as the target value.

since: 1.8.4

###### fu_security_attr_check_fwupd_version

Checks if this attribute was available in a given fwupd release.

since: 2.0.7

#### Instance methods

##### Methods inherited from FwupdSecurityAttr (49)

Please see FwupdSecurityAttr for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginSecurityAttrClass {
      FwupdSecurityAttrClass parent_class;

    }

No description available.

###### Class members

`parent_class: FwupdSecurityAttrClass`

  No description available.